#pragma once
#include "_log.h"

class AppClasSrv: public C_escucha_log, public LicClientEscucha
{
public:
	AppClasSrv(void);
	~AppClasSrv(void);

	char key[32];
	char user[32];
	char path[256];

	virtual void log_ext( __time64_t tiemp, char *modulo, char *fmt );
	void runApp();

	virtual bool getClave(char* clave, char* producto );

	virtual void muestaError( char* info, char* producto );

	virtual bool descargaInstalador( Licencia *lic );

};
